Bug 61355 - [GStreamer] WebAudio implementation
: [GStreamer] WebAudio implementation
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Web Audio
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Nobody
http://chromium.googlecode.com/svn/tr...
:
Depends on: 61356 61357 67187 69703 69834 69835 69836 73080 73545 77959 80681 80823
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-24 04:05 PDT by Philippe Normand
Modified: 2014-03-03 00:21 PST (History)
12 users (show)

See Also:


Attachments
Initial GStreamer WebAudio implementation (70.06 KB, patch)
2011-10-08 09:28 PDT, Philippe Normand
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Normand 2011-05-24 04:05:31 PDT
It'd be great to have GStreamer-enabled ports implement WebAudio rendering.
Patch incoming for the GTK+ port.
Comment 1 Philippe Normand 2011-10-08 09:28:50 PDT
Created attachment 110273 [details]
Initial GStreamer WebAudio implementation
Comment 2 Philippe Normand 2011-10-08 09:29:46 PDT
Hey Zan, can you have a look and test? You'll also need the patch from bug 69703.
Comment 3 Philippe Normand 2011-10-08 09:38:34 PDT
To build: build-webkit --enable-webaudio --gtk
To test: run-launcher --gtk --enable-webaudio=TRUE

Layout tests don't run yet, I have a patch pending for this issue but it's not all set for review yet.
Comment 4 Philippe Normand 2011-10-13 05:59:13 PDT
Comment on attachment 110273 [details]
Initial GStreamer WebAudio implementation

This patch is already obsolete, I'll try to update it regularly as the dependency patches of this bug are being reviewed.
Comment 5 Dongwoo Joshua Im (dwim) 2012-03-06 04:42:21 PST
Dear Philippe,

When I try to build the WebKit-gtk with '--web-audio' option,
I met build failure - "execvp: /bin/bash: Argument list too long".

WebKit-gtk is built successfully without '--web-audio' option.

Is there any specific way to build the WebKit-gtk with '--web-audio' option?
Comment 6 Philippe Normand 2012-03-06 04:45:49 PST
You need a patched make, see http://thread.gmane.org/gmane.comp.gnu.make.bugs/4219
Comment 7 Philippe Normand 2013-11-07 03:00:39 PST
Let's close this now, the last 2 issues are integration with media element and mediastream but it can be handled in separate bugs.
Comment 8 Philippe Normand 2014-03-03 00:21:37 PST
Closing as per comment 7